{
    "version": "0.2.0",
    "configurations": [
        {
            "type": "node",
            "request": "launch",
            "name": "Launch via Nodemon",
            "program": "${workspaceFolder}/node_modules/nodemon/bin/nodemon.js",
            "restart": true,
            "runtimeExecutable": "node",
            "runtimeArgs": [
                "--inspect=9229" // Use "--inspect=0.0.0.0:9229" for remote debugging
            ],
            "args": [
                "${workspaceFolder}/src/server/server.js"
            ], // Replace with your entry file
            "cwd": "${workspaceFolder}",
            "autoAttachChildProcesses": true,
            "console": "integratedTerminal",
            "internalConsoleOptions": "neverOpen",
            "sourceMaps": true,
            "env": {
                "NODE_ENV": "development",
                "TESTING_ON": "1"
            },
        },
        {
            "type": "node",
            "request": "launch",
            "name": "Launch Trace Warning",
            "program": "${workspaceFolder}/node_modules/nodemon/bin/nodemon.js",
            "restart": true,
            "runtimeExecutable": "node",
            "runtimeArgs": [
                "--trace-warnings" // Use "--inspect=0.0.0.0:9229" for remote debugging
            ],
            "args": [
                "${workspaceFolder}/src/server/server.js"
            ], // Replace with your entry file
            "cwd": "${workspaceFolder}",
            "autoAttachChildProcesses": true,
            "console": "integratedTerminal",
            "internalConsoleOptions": "neverOpen",
            "sourceMaps": true,
            "env": {
                "NODE_ENV": "development",
                "TESTING_ON": "1"
            },
        },
        {
            "name": "ServerSide",
            "program": "${workspaceFolder}/src/server/server.js",
            "request": "launch",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "type": "node",
            "env": {
                "NODE_ENV": "development",
                "TESTING_ON": "1"
            }
        },
    ]
}